Package org.apache.tools.ant.taskdefs

# Class Ant.TargetElement

java.lang.Object
org.apache.tools.ant.taskdefs.Ant.TargetElement

Enclosing class:
  Ant

    public static class Ant.TargetElement
    extends java.lang.Object

Helper class that implements the nested <target> element of <ant> and <antcall>.

Since:
  Ant 1.6.3

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TargetElement()` | Default constructor.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getName()` | Get the name of this TargetElement.
`void` | `setName​(java.lang.String name)` | Set the name of this TargetElement.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TargetElement

public TargetElement()
Default constructor.

## Method Details

### setName

public void setName​(java.lang.String name)
Set the name of this TargetElement.

Parameters:
  `name` - the `String` target name.

### getName

public java.lang.String getName()
Get the name of this TargetElement.

Returns:
  `String`.